<?php

/**
 * Returns YOAST Plugin Breadcrumbs
 *
 * This function returns the YOAST Plugin breadcrumbs
 * or, if the plugin/function is not found, will output
 * a message to the developer console.
 *
 * @function breadcrumbs()
 *
 * @uses yoast_breadcrumb(), developer_console_message()
 *
 * @param (array) $crumbs[ (string) id, (string) class ]
 *
 * @return (string) The YOAST Plugin breadcrumbs function
 *
 * @since 1.0.0 
 *
 */
function breadcrumbs( $crumbs = array( 'id' => 'breadcrumbs' ) ) {
	
	if ( function_exists( 'yoast_breadcrumb' ) ) {
		
		return yoast_breadcrumb( '<p id="' . $crumbs['id'] . '">', '</p>' );
	} else {
		
		developer_console_message( 'Breadcrumbs not found. Check Yoast SEO plugin is activated/installed', 'alert' );	
	}	
}